%global _empty_manifest_terminate_build 0

Name:               python-easy-server
Version:            0.8.0
Release:            1
Summary:            Secure server access that is easy to use.

License:            ASL 2.0
URL:                https://github.com/andy-maier/easy-server
Source0:            https://files.pythonhosted.org/packages/64/05/ce8a85a80fe3cf3229b988f328c2cd167126f8ca663fd770b09256ed13dc/easy-server-0.8.0.tar.gz
BuildArch:          noarch


%description
A Python library for securely defining sensitive information 
for accessing servers (or services), such as logon credentials 
or API keys.

%package -n python3-easy-server
Summary:            Secure server access that is easy to use.
%{?python_provide:%python_provide python3-easy-server}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-pbr
BuildRequires:      python3-pip
BuildRequires:      python3-wheel
	
# test dependencies
BuildRequires:      python3-mock
BuildRequires:      python3-pytest
BuildRequires:      python3-jsonschema
BuildRequires:      python3-testfixtures
BuildRequires:      python3-easy-vault

%description -n python3-easy-server
A Python library for securely defining sensitive information 
for accessing servers (or services), such as logon credentials 
or API keys.


%prep
%autosetup -p1 -n easy-server-%{version}

# Remove upstreams egg info
rm -rf *.egg*

%build
%py3_build

%install
%py3_install

%check
CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" LDFLAGS="${LDFLAGS:-${RPM_LD_FLAGS}}" \
PATH="%{buildroot}%{_bindir}:$PATH" \
PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}}" \
PYTHONDONTWRITEBYTECODE=1 \
%{?__pytest_addopts:PYTEST_ADDOPTS="${PYTEST_ADDOPTS:-} %{__pytest_addopts}"} \
PYTEST_XDIST_AUTO_NUM_WORKERS=%{_smp_build_ncpus} \
%{_bindir}/pytest

%files -n python3-easy-server
%doc README.rst INSTALL.md
%license LICENSE
%{python3_sitelib}/easy_server
%{python3_sitelib}/easy_server-*.egg-info/

%changelog
* Thu Jul 6 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.8.0-1
- Initial packaging
